## zsh-antigen 1

=== Makefile ===
.PHONY: itests tests

PYENV ?= . .pyenv/bin/activate &&
TESTS ?= tests

itests:
	${MAKE} tests CRAM_OPTS=-i

tests:
	${PYENV} ZDOTDIR="${PWD}/tests" cram ${CRAM_OPTS} --shell=zsh ${TESTS}

=== requirements.txt ===
cram==0.6

=== debian/changelog ===
zsh-antigen (1-3) unstable; urgency=medium

  * Fix spelling of ${shlibs:Depends}, thanks to Chris Lamb for the patch (Closes: #792956).
  * Change my email address to fladi@debian.org.
  * Bump Standards-Version to 3.9.7.
  * Update year in d/copyright.
  * Use https for Vcs-Git field.
  * Reformat packaging files with cme for better readability.

 -- Michael Fladischer <fladi@debian.org>  Thu, 11 Feb 2016 09:41:25 +0100

zsh-antigen (1-2) unstable; urgency=low

  * Line-wrap dependencies for better readability.
  * Add README.Debian explaining how to use this package with ZSH.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 18 Apr 2014 11:18:11 +0200

zsh-antigen (1-1) unstable; urgency=low

  * Initial release (Closes: #741030).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 07 Mar 2014 14:40:40 +0100

=== debian/control ===
Source: zsh-antigen
Maintainer: Michael Fladischer <fladi@debian.org>
Section: shells
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zsh-antigen.git
Vcs-Git: https://anonscm.debian.org/collab-maint/zsh-antigen.git
Homepage: https://github.com/zsh-users/antigen

Package: zsh-antigen
Architecture: all
Depends: git,
         zsh,
         ${misc:Depends},
         ${shlibs:Depends}
Description: manage your zsh plugins
 Antigen is a small set of functions that help you easily manage your shell
 (zsh) plugins, called bundles. The concept is pretty much the same as bundles
 in a typical vim+pathogen setup. Antigen is to zsh, what Vundle is to vim.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/zsh-antigen-$1/ \
https://github.com/zsh-users/antigen/releases \
/zsh-users/antigen/archive/v([\d\.]+)\.tar\.gz

## zsh-antigen 1.0.1

=== Makefile ===
.PHONY: itests tests install all

PYENV ?= . .pyenv/bin/activate &&
TESTS ?= tests
PREFIX ?= /usr/local

itests:
	${MAKE} tests CRAM_OPTS=-i

tests:
	${PYENV} ZDOTDIR="${PWD}/tests" cram ${CRAM_OPTS} --shell=zsh ${TESTS}

install:
	mkdir -p ${PREFIX}/share && cp ./antigen.zsh ${PREFIX}/share/antigen.zsh

clean:
	rm -f ${PREFIX}/share/antigen.zsh

all: clean install

=== debian/changelog ===
zsh-antigen (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Initialize git-dpm.
  * Disable dh_auto_install as it can not handle DESTDIR.
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Wed, 27 Jul 2016 10:22:44 +0200

zsh-antigen (1-4) unstable; urgency=low

  * Declare 'Enhances: zsh'.
  * Fix URL in Vcs-Git field.
  * Bump Standards-Version to 3.9.8.

 -- Michael Fladischer <fladi@debian.org>  Fri, 20 May 2016 11:05:57 +0200

## zsh-antigen 1.2.1

=== Makefile ===
.PHONY: itests tests install all

PYENV ?= . .pyenv/bin/activate &&
TESTS ?= tests
PREFIX ?= /usr/local
SHELL ?= zsh
PROJECT ?= $$PWD
BIN ?= ${PROJECT}/bin
CRAM_OPTS ?= '-v'

define ised
	sed $(1) $(2) > "$(2).1"
	mv "$(2).1" "$(2)"
endef

itests:
	${MAKE} tests CRAM_OPTS=-i

tests:
	${PYENV} ZDOTDIR="${PROJECT}/tests" cram ${CRAM_OPTS} --shell=${SHELL} ${TESTS}

install:
	mkdir -p ${PREFIX}/share && cp ${BIN}/antigen.zsh ${PREFIX}/share/antigen.zsh

build:
	cat ${PROJECT}/src/antigen.zsh > ${BIN}/antigen.zsh
	cat ${PROJECT}/src/helpers/*.zsh >> ${BIN}/antigen.zsh
	cat ${PROJECT}/src/lib/*.zsh >> ${BIN}/antigen.zsh
	cat ${PROJECT}/src/commands/*.zsh >> ${BIN}/antigen.zsh
	cat ${PROJECT}/src/_antigen >> ${BIN}/antigen.zsh
	cat ${PROJECT}/src/ext/*/*.zsh >> ${BIN}/antigen.zsh
	cat ${PROJECT}/src/ext/*.zsh >> ${BIN}/antigen.zsh
	$(call ised,"s/{{ANTIGEN_VERSION}}/$$(cat ${PROJECT}/VERSION)/",${BIN}/antigen.zsh)

release: build
	# Move to release branch
	vi VERSION
	git checkout develop
	git checkout -b release/$$(cat ${PROJECT}/VERSION)
	
	# make build and tests
	make build && make tests PYENV= SHELL=zsh
	
	# Update versions
	vi README.mkd
	
	# Update changelog
	vi CHANGELOG.md
	
publish:
	# Build release commit
	git add .
	git commit -m "Build release $$(cat ${PROJECT}/VERSION)"
	git push origin release/$$(cat ${PROJECT}/VERSION)

clean:
	rm -f ${PREFIX}/share/antigen.zsh

deps:
	pip install cram==0.6.*

stats:
	${PROJECT}/tests/stats.sh "${PROJECT}" "${SHELL}"

all: clean build install

=== debian/changelog ===
zsh-antigen (1.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 17 Oct 2016 11:44:34 +0200

zsh-antigen (1.1.4-1) unstable; urgency=medium

  * New upstream release (Closes: #838493).

 -- Michael Fladischer <fladi@debian.org>  Mon, 26 Sep 2016 10:46:20 +0200

zsh-antigen (1.1.2-2) unstable; urgency=medium

  * Install the actual antigen.zsh file instead of a broken symlink
    (Closes: #838429).

 -- Michael Fladischer <fladi@debian.org>  Wed, 21 Sep 2016 08:51:42 +0200

zsh-antigen (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Remove unused lintian override for missing changelog.

 -- Michael Fladischer <fladi@debian.org>  Sun, 18 Sep 2016 18:37:32 +0200

zsh-antigen (1.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 29 Aug 2016 12:23:58 +0200

zsh-antigen (1.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sun, 21 Aug 2016 12:52:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Section: shells
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zsh-antigen.git
-Vcs-Git: https://anonscm.debian.org/collab-maint/zsh-antigen.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/zsh-antigen.git
 Homepage: https://github.com/zsh-users/antigen
 
 Package: zsh-antigen
@@ -14,6 +14,7 @@
          zsh,
          ${misc:Depends},
          ${shlibs:Depends}
+Enhances: zsh
 Description: manage your zsh plugins
  Antigen is a small set of functions that help you easily manage your shell
  (zsh) plugins, called bundles. The concept is pretty much the same as bundles

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:

override_dh_auto_install:

## zsh-antigen 1.2.3

=== debian/changelog ===
zsh-antigen (1.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 28 Nov 2016 13:37:02 +0100

## zsh-antigen 1.3.0

=== Makefile ===
--- 
+++ 
@@ -12,15 +12,6 @@
 	sed $(1) $(2) > "$(2).1"
 	mv "$(2).1" "$(2)"
 endef
-
-itests:
-	${MAKE} tests CRAM_OPTS=-i
-
-tests:
-	${PYENV} ZDOTDIR="${PROJECT}/tests" cram ${CRAM_OPTS} --shell=${SHELL} ${TESTS}
-
-install:
-	mkdir -p ${PREFIX}/share && cp ${BIN}/antigen.zsh ${PREFIX}/share/antigen.zsh
 
 build:
 	cat ${PROJECT}/src/antigen.zsh > ${BIN}/antigen.zsh
@@ -50,11 +41,20 @@
 publish:
 	# Build release commit
 	git add .
-	git commit -m "Build release $$(cat ${PROJECT}/VERSION)"
+	git commit -S -m "Build release $$(cat ${PROJECT}/VERSION)"
 	git push origin release/$$(cat ${PROJECT}/VERSION)
 
 clean:
 	rm -f ${PREFIX}/share/antigen.zsh
+
+itests:
+	${MAKE} tests CRAM_OPTS=-i
+
+tests:
+	${PYENV} ZDOTDIR="${PROJECT}/tests" cram ${CRAM_OPTS} --shell=${SHELL} ${TESTS}
+
+install:
+	mkdir -p ${PREFIX}/share && cp ${BIN}/antigen.zsh ${PREFIX}/share/antigen.zsh
 
 deps:
 	pip install cram==0.6.*

=== debian/changelog ===
zsh-antigen (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 14 Dec 2016 20:19:01 +0100

## zsh-antigen 1.3.1

=== Makefile ===
--- 
+++ 
@@ -43,6 +43,16 @@
 	git add .
 	git commit -S -m "Build release $$(cat ${PROJECT}/VERSION)"
 	git push origin release/$$(cat ${PROJECT}/VERSION)
+	# Merge release branch into develop before deploying
+
+deploy:
+	git checkout develop
+	git tag -m "Build release $$(cat ${PROJECT}/VERSION)" -s $$(cat ${PROJECT}/VERSION)
+	git push upstream $$(cat ${PROJECT}/VERSION)
+	git archive --output=$$(cat ${PROJECT}/VERSION).tar.gz --prefix=antigen-$$(cat ${PROJECT}/VERSION|sed s/v//)/ $$(cat ${PROJECT}/VERSION)
+	zcat $$(cat ${PROJECT}/VERSION).tar.gz | gpg --armor --detach-sign >$$(cat ${PROJECT}/VERSION).tar.gz.sign
+	# Verify signature
+	# zcat $$(cat ${PROJECT}/VERSION).tar.gz | gpg --verify $$(cat ${PROJECT}/VERSION).tar.gz.sign -
 
 clean:
 	rm -f ${PREFIX}/share/antigen.zsh
@@ -60,6 +70,6 @@
 	pip install cram==0.6.*
 
 stats:
-	${PROJECT}/tests/stats.sh "${PROJECT}" "${SHELL}"
+	"${SHELL}" ${PROJECT}/tests/stats.sh "${PROJECT}" "${SHELL}"
 
 all: clean build install

=== debian/changelog ===
zsh-antigen (1.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sat, 24 Dec 2016 14:57:00 +0100

## zsh-antigen 1.3.2

=== debian/changelog ===
zsh-antigen (1.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Tue, 03 Jan 2017 11:46:11 +0100

## zsh-antigen 1.3.3

=== Makefile ===
.PHONY: itests tests install all

PYENV ?= . .pyenv/bin/activate &&
TESTS ?= tests
PREFIX ?= /usr/local
SHELL ?= zsh
PROJECT ?= $$PWD
BIN ?= ${PROJECT}/bin
CRAM_OPTS ?= '-v'

VERSION=$$(cat ${PROJECT}/VERSION)

define ised
	sed $(1) $(2) > "$(2).1"
	mv "$(2).1" "$(2)"
endef

build:
	cat ${PROJECT}/src/antigen.zsh > ${BIN}/antigen.zsh
	cat ${PROJECT}/src/helpers/*.zsh >> ${BIN}/antigen.zsh
	cat ${PROJECT}/src/lib/*.zsh >> ${BIN}/antigen.zsh
	cat ${PROJECT}/src/commands/*.zsh >> ${BIN}/antigen.zsh
	cat ${PROJECT}/src/_antigen >> ${BIN}/antigen.zsh
	cat ${PROJECT}/src/ext/*/*.zsh >> ${BIN}/antigen.zsh
	cat ${PROJECT}/src/ext/*.zsh >> ${BIN}/antigen.zsh
	$(call ised,"s/{{ANTIGEN_VERSION}}/$$(cat ${PROJECT}/VERSION)/",${BIN}/antigen.zsh)

release:
	# Move to release branch
	git checkout develop
	git checkout -b release/$(version)

	# Update release version
	echo "$(version)" > ${PROJECT}/VERSION

	# Make build and tests
	make build && make tests PYENV= SHELL=zsh
	
	# Update versions
	$(call ised, "s/{{VERSION}}/$(version)/",README.mkd)
	
	# Update changelog
	vi CHANGELOG.md

	# Build release commit
	git add CHANGELOG.md VERSION README.mkd bin/antigen.zsh
	git commit -S -m "Build release $(version)"

publish:
	git push origin release/${VERSION}
	# Merge release branch into develop before deploying

deploy:
	git checkout develop
	git tag -m "Build release ${VERSION}" -s ${VERSION}
	git push upstream ${VERSION}
	git archive --output=${VERSION}.tar.gz --prefix=antigen-$$(echo ${VERSION}|sed s/v//)/ ${VERSION}
	zcat ${VERSION}.tar.gz | gpg --armor --detach-sign >${VERSION}.tar.gz.sign
	# Verify signature
	zcat ${VERSION}.tar.gz | gpg --verify ${VERSION}.tar.gz.sign -

clean:
	rm -f ${PREFIX}/share/antigen.zsh

itests:
	${MAKE} tests CRAM_OPTS=-i

tests:
	${PYENV} ZDOTDIR="${PROJECT}/tests" cram ${CRAM_OPTS} --shell=${SHELL} ${TESTS}

install:
	mkdir -p ${PREFIX}/share && cp ${BIN}/antigen.zsh ${PREFIX}/share/antigen.zsh

deps:
	pip install cram==0.6.*

stats:
	"${SHELL}" ${PROJECT}/tests/stats.sh "${PROJECT}" "${SHELL}"

all: clean build install

=== debian/changelog ===
zsh-antigen (1.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 11 Jan 2017 13:00:55 +0100

## zsh-antigen 1.3.4

=== Makefile ===
--- 
+++ 
@@ -36,8 +36,8 @@
 	# Make build and tests
 	make build && make tests PYENV= SHELL=zsh
 	
-	# Update versions
-	$(call ised, "s/{{VERSION}}/$(version)/",README.mkd)
+	# Update version references in README.md
+	$(call ised, "s/${VERSION}/$(version)/",README.mkd)
 	
 	# Update changelog
 	vi CHANGELOG.md

=== debian/changelog ===
zsh-antigen (1.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 25 Jan 2017 11:58:47 +0100

## zsh-antigen 2.2.0

=== Makefile ===
######################################################################
# This file was autogenerated by 'configure'. Do not edit it directly!
# Invocation was: ./configure 
######################################################################
WITH_LOCK=yes
WITH_DEFER=yes
WITH_CACHE=yes
WITH_PARALLEL=yes
WITH_EXTENSIONS=yes
WITH_COMPLETION=yes
DEBUG=yes
######################################################################
SHELL     ?= sh
PREFIX    ?= /usr/local

CRAM_OPTS ?= -v

PROJECT   ?= $(CURDIR)
BIN       ?= ${PROJECT}/bin
SRC       ?= ${PROJECT}/src
TESTS     ?= ${PROJECT}/tests
TOOLS     ?= ${PROJECT}/tools
TEST      ?= ${PROJECT}/tests

ZSH_VERSION     ?= zsh-5.3
CONTAINER_ROOT  ?= /antigen
USE_CONTAINER   ?= docker
CONTAINER_IMAGE ?= desyncr/zsh-docker-

TARGET     ?= ${BIN}/antigen.zsh
SRC        ?= ${SRC}
DEBUG      ?= yes
EXTENSIONS ?= 
GLOB       ?= 

WITH_EXTENSIONS ?= yes
WITH_DEFER      ?= yes
WITH_LOCK       ?= yes
WITH_PARALLEL   ?= yes
WITH_CACHE      ?= yes
WITH_COMPLETION ?= yes

ifeq (${WITH_EXTENSIONS}, yes)
EXTENSIONS += ${SRC}/ext/ext.zsh
endif
ifeq (${WITH_DEFER}, yes)
EXTENSIONS += ${SRC}/ext/defer.zsh
endif
ifeq (${WITH_LOCK}, yes)
EXTENSIONS += ${SRC}/ext/lock.zsh
endif
ifeq (${WITH_PARALLEL}, yes)
EXTENSIONS += ${SRC}/ext/parallel.zsh
endif
ifeq (${WITH_CACHE}, yes)
GLOB       += ${SRC}/boot.zsh
EXTENSIONS += ${SRC}/ext/cache.zsh
endif

GLOB  += ${SRC}/antigen.zsh $(sort $(wildcard ${PWD}/src/helpers/*.zsh)) \
        ${SRC}/lib/*.zsh $(sort $(wildcard ${PWD}/src/commands/*.zsh)) ${EXTENSIONS}

ifeq (${WITH_COMPLETION}, yes)
GLOB  += ${SRC}/_antigen
endif
# If debug is enabled then load debug functions
ifeq (${DEBUG}, yes)
GLOB  += ${SRC}/lib/log.zsh
endif

VERSION      ?= develop
VERSION_FILE  = ${PROJECT}/VERSION

BANNER_SEP    =$(shell printf '%*s' 70 | tr ' ' '\#')
BANNER_TEXT   =This file was autogenerated by \`make\`. Do not edit it directly!
BANNER        =${BANNER_SEP}\n\# ${BANNER_TEXT}\n${BANNER_SEP}\n

HEADER_TEXT   =\# Antigen: A simple plugin manager for zsh\n\
\# Authors: Shrikant Sharat Kandula\n\
\#          and Contributors <https://github.com/zsh-users/antigen/contributors>\n\
\# Homepage: http://antigen.sharats.me\n\
\# License: MIT License <mitl.sharats.me>\n

define ised
	sed $(1) $(2) > "$(2).1"
	mv "$(2).1" "$(2)"
endef

define isede
	sed -E $(1) $(2) > "$(2).1"
	mv "$(2).1" "$(2)"
endef

.PHONY: itests tests install all

build:
	@echo Building Antigen...
	@printf "${BANNER}" > ${BIN}/antigen.zsh
	@printf "${HEADER_TEXT}" >> ${BIN}/antigen.zsh
	@for src in ${GLOB}; do echo "----> $$src"; cat "$$src" >> ${TARGET}; done
	@echo "-antigen-env-setup" >> ${TARGET}
	@echo "${VERSION}" > ${VERSION_FILE}
	@$(call ised,"s/{{ANTIGEN_VERSION}}/$$(cat ${VERSION_FILE})/",${TARGET})
ifeq (${DEBUG}, no)
	@$(call isede,"s/(WARN|LOG|ERR|TRA) .*& //",${TARGET})
	@$(call isede,"/(WARN|LOG|ERR|TRA) .*/d",${TARGET})
endif
	@echo Done.
	@ls -sh ${TARGET}

release:
	git checkout develop
	${MAKE} build tests
	git checkout -b release/${VERSION}
	# Update changelog
	${EDITOR} CHANGELOG.md
	# Build release commit
	git add CHANGELOG.md ${VERSION_FILE} README.mkd ${TARGET}
	git commit -S -m "Build release ${VERSION}"

publish:
	git push origin release/${VERSION}
	# Merge release branch into develop before deploying

deploy:
	git checkout develop
	git tag -m "Build release ${VERSION}" -s ${VERSION}
	git archive --output=${VERSION}.tar.gz --prefix=antigen-$$(echo ${VERSION}|sed s/v//)/ ${VERSION}
	zcat ${VERSION}.tar.gz | gpg --armor --detach-sign >${VERSION}.tar.gz.sign
	# Verify signature
	zcat ${VERSION}.tar.gz | gpg --verify ${VERSION}.tar.gz.sign -
	# Push upstream
	git push upstream ${VERSION}

.container:
ifeq (${USE_CONTAINER}, docker)
	@docker run --rm --privileged=true -it -v ${PROJECT}:/antigen ${CONTAINER_IMAGE}${ZSH_VERSION} $(shell echo "${COMMAND}" | sed "s|${PROJECT}|${CONTAINER_ROOT}|g")
else ifeq (${USE_CONTAINER}, no)
	${COMMAND}
endif

info:
	@${MAKE} .container COMMAND="sh -c 'cat ${PROJECT}/VERSION; zsh --version; git --version; env'"

itests:
	@${MAKE} tests CRAM_OPTS=-i

tests:
	@${MAKE} .container COMMAND="sh -c 'ZDOTDIR=${TESTS} ANTIGEN=${PROJECT} cram ${CRAM_OPTS} --shell=zsh ${TEST}'"

stats:
	@${MAKE} .container COMMAND="${TOOLS}/stats --zsh zsh --antigen ${PROJECT}"

install:
	mkdir -p ${PREFIX}/share && cp ${TARGET} ${PREFIX}/share/antigen.zsh

clean:
	rm -f ${PREFIX}/share/antigen.zsh

install-deps:
	sudo pip install cram=='0.6.*'

all: clean build install

=== debian/changelog ===
zsh-antigen (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Add zsh do Build-Depends.
  * Use new upstream ./configure script to build antigen.zsh from
    source.
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 20 Jun 2017 11:38:35 +0200

zsh-antigen (1.4.0-1~exp1) experimental; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Sat, 18 Feb 2017 13:24:41 +0100

## zsh-antigen 2.2.1

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,10 @@
 WITH_LOCK=yes
 WITH_DEFER=yes
 WITH_CACHE=yes
+WITH_DEBUG=yes
 WITH_PARALLEL=yes
 WITH_EXTENSIONS=yes
 WITH_COMPLETION=yes
-DEBUG=yes
 ######################################################################
 SHELL     ?= sh
 PREFIX    ?= /usr/local
@@ -29,10 +29,10 @@
 
 TARGET     ?= ${BIN}/antigen.zsh
 SRC        ?= ${SRC}
-DEBUG      ?= yes
 EXTENSIONS ?= 
 GLOB       ?= 
 
+WITH_DEBUG      ?= yes
 WITH_EXTENSIONS ?= yes
 WITH_DEFER      ?= yes
 WITH_LOCK       ?= yes
@@ -57,14 +57,16 @@
 EXTENSIONS += ${SRC}/ext/cache.zsh
 endif
 
-GLOB  += ${SRC}/antigen.zsh $(sort $(wildcard ${PWD}/src/helpers/*.zsh)) \
-        ${SRC}/lib/*.zsh $(sort $(wildcard ${PWD}/src/commands/*.zsh)) ${EXTENSIONS}
+LIB     = $(filter-out ${SRC}/lib/log.zsh,$(sort $(wildcard ${PWD}/src/lib/*.zsh)))
+HELPERS = $(sort $(wildcard ${PWD}/src/helpers/*.zsh)) 
+COMMANDS= $(sort $(wildcard ${PWD}/src/commands/*.zsh))
+GLOB   += ${SRC}/antigen.zsh ${HELPERS} ${LIB} ${COMMANDS} ${EXTENSIONS}
 
 ifeq (${WITH_COMPLETION}, yes)
 GLOB  += ${SRC}/_antigen
 endif
 # If debug is enabled then load debug functions
-ifeq (${DEBUG}, yes)
+ifeq (${WITH_DEBUG}, yes)
 GLOB  += ${SRC}/lib/log.zsh
 endif
 
@@ -101,9 +103,9 @@
 	@echo "-antigen-env-setup" >> ${TARGET}
 	@echo "${VERSION}" > ${VERSION_FILE}
 	@$(call ised,"s/{{ANTIGEN_VERSION}}/$$(cat ${VERSION_FILE})/",${TARGET})
-ifeq (${DEBUG}, no)
-	@$(call isede,"s/(WARN|LOG|ERR|TRA) .*& //",${TARGET})
-	@$(call isede,"/(WARN|LOG|ERR|TRA) .*/d",${TARGET})
+ifeq (${WITH_DEBUG}, no)
+	@$(call isede,"s/ (WARN|LOG|ERR|TRACE) .*&//",${TARGET})
+	@$(call isede,"/ (WARN|LOG|ERR|TRACE) .*/d",${TARGET})
 endif
 	@echo Done.
 	@ls -sh ${TARGET}

=== debian/changelog ===
zsh-antigen (2.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Mon, 17 Jul 2017 10:53:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Michael Fladischer <fladi@debian.org>
 Section: shells
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9),
+               zsh
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zsh-antigen.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/zsh-antigen.git
 Homepage: https://github.com/zsh-users/antigen

## zsh-antigen 2.2.2

=== debian/changelog ===
zsh-antigen (2.2.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 4.1.1.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Fri, 24 Nov 2017 09:59:43 +0100

=== debian/control ===
Source: zsh-antigen
Maintainer: Michael Fladischer <fladi@debian.org>
Section: shells
Priority: optional
Build-Depends:
 debhelper (>= 9),
 zsh,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zsh-antigen.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/zsh-antigen.git
Homepage: https://github.com/zsh-users/antigen

Package: zsh-antigen
Architecture: all
Depends:
 git,
 zsh,
 ${misc:Depends},
 ${shlibs:Depends},
Enhances:
 zsh,
Description: manage your zsh plugins
 Antigen is a small set of functions that help you easily manage your shell
 (zsh) plugins, called bundles. The concept is pretty much the same as bundles
 in a typical vim+pathogen setup. Antigen is to zsh, what Vundle is to vim.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure

override_dh_auto_install:

## zsh-antigen 2.2.3

=== Makefile ===
--- 
+++ 
@@ -103,6 +103,8 @@
 	@echo "-antigen-env-setup" >> ${TARGET}
 	@echo "${VERSION}" > ${VERSION_FILE}
 	@$(call ised,"s/{{ANTIGEN_VERSION}}/$$(cat ${VERSION_FILE})/",${TARGET})
+	@$(call ised,"s/{{ANTIGEN_REVISION}}/$$(git log -n1 --format=%h -- src)/",${TARGET})
+	@$(call ised,"s/{{ANTIGEN_REVISION_DATE}}/$$(git log -n1 --format='%ai' -- src)/",${TARGET})
 ifeq (${WITH_DEBUG}, no)
 	@$(call isede,"s/ (WARN|LOG|ERR|TRACE) .*&//",${TARGET})
 	@$(call isede,"/ (WARN|LOG|ERR|TRACE) .*/d",${TARGET})
@@ -111,13 +113,18 @@
 	@ls -sh ${TARGET}
 
 release:
+	# Move to release branch
 	git checkout develop
+	git checkout -b release/${VERSION}
+	# Run build and tests
 	${MAKE} build tests
-	git checkout -b release/${VERSION}
 	# Update changelog
 	${EDITOR} CHANGELOG.md
 	# Build release commit
-	git add CHANGELOG.md ${VERSION_FILE} README.mkd ${TARGET}
+	git add CHANGELOG.md README.mkd ${VERSION_FILE}
+	git commit -S -m "Update changelog for ${VERSION}"
+	# Update binary artifact
+	git add ${TARGET}
 	git commit -S -m "Build release ${VERSION}"
 
 publish:

=== debian/changelog ===
zsh-antigen (2.2.3-5) unstable; urgency=low

  * Update d/watch to work with github again.
  * Bump Standards-Version to 4.6.0.1.

 -- Michael Fladischer <fladi@debian.org>  Tue, 05 Oct 2021 07:18:56 +0000

zsh-antigen (2.2.3-4) unstable; urgency=medium

  * Add patch to replace PWD in Makefile (Closes: #906757).

 -- Michael Fladischer <fladi@debian.org>  Tue, 09 Mar 2021 16:37:29 +0100

zsh-antigen (2.2.3-3) unstable; urgency=medium

  * Update patch to use UTC timestamp and Debian revision to support
    reproducible builds (Closes: #911757).
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.1.
  * Use uscan version 4.
  * Switch to debhelper-compat.
  * Set Rules-Requires-Root: no.
  * Add d/upstream/metadata.
  * Remove renamed lintian override for missing GPG key.

 -- Michael Fladischer <fladi@debian.org>  Fri, 04 Dec 2020 21:21:35 +0100

zsh-antigen (2.2.3-2) unstable; urgency=low

  * d/control: Set Vcs-* to salsa.debian.org
  * Bump Standards-Version to 4.2.1.
  * Add patch to set revision and date in source without relying on git.

 -- Michael Fladischer <fladi@debian.org>  Tue, 28 Aug 2018 08:58:23 +0200

zsh-antigen (2.2.3-1) unstable; urgency=low

  * New upstream release.
  * Always use pristine-tar.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.

 -- Michael Fladischer <fladi@debian.org>  Tue, 09 Jan 2018 08:36:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Section: shells
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  zsh,
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zsh-antigen.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/zsh-antigen.git
+Standards-Version: 4.6.0.1
+Vcs-Browser: https://salsa.debian.org/fladi/zsh-antigen
+Vcs-Git: https://salsa.debian.org/fladi/zsh-antigen.git
 Homepage: https://github.com/zsh-users/antigen
+Rules-Requires-Root: no
 
 Package: zsh-antigen
 Architecture: all

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/zsh-antigen-$1/ \
https://github.com/zsh-users/antigen/releases \
/zsh-users/antigen/archive/refs/tags/v([\d\.]+)\.tar\.gz
